Bug 14151 - Sandbox configs need to add new PerlSetVar
Sandbox configs need to add new PerlSetVar
Product: Red Hat Web Site
Classification: Red Hat
Component: Other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Garth Webb
Paul Lindner
Depends On:
  Show dependency treegraph
Reported: 2000-07-17 13:51 EDT by Paul Lindner
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-07 18:13:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Lindner 2000-07-17 13:51:28 EDT
To use the newest version of Apache::ASP we need to add the following entry
to the
apps configuration area:

  PerlSetVar XMLSubsMatch (msg|pane|header|footer|Apps:\w+)

This should be added to the mksb script  (I've updated the .htaccess
Comment 1 Garth Webb 2000-07-25 14:41:40 EDT
The mksb script does not handle this .htaccess file in any special maner.  It
does a 'cvs update' to get it when checking out the apps section.  However,
there are some specific settings in the .htaccess file that change from
installation to installation.  Perhaps this bug should change to either 
A) Remove installation dependant paramters from .htaccess.
B) Add .htaccess as a file mksb performs some installation specific
Comment 2 Paul Lindner 2000-07-25 14:57:01 EDT
The mksb script should ignore the .htaccess file.

Remember the problems we had with Maraya's sandbox?  

We should have allowoverride off in the config, and add the XMLSubsMatch line to
the httpd.conf 

That should prep everything for the latest Apache::ASP...
Comment 3 Garth Webb 2000-08-11 14:06:19 EDT
I have added this to the template httpd.conf file in the web/boot/conf
directory.  Additionally AllowOverride is set to none so that the .htaccess
files will not work.

Note You need to log in before you can comment on or make changes to this bug.